Bug 1289487 - Priority field missing in Password Policy detail tab
Priority field missing in Password Policy detail tab
Status: POST
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Vomacka
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 04:42 EST by Abhijeet Kasurde
Modified: 2017-10-22 17:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa-pwpolicy-screenshot.png (79.57 KB, image/png)
2015-12-08 04:42 EST, Abhijeet Kasurde
no flags Details
required.png (75.86 KB, image/png)
2015-12-08 05:04 EST, Abhijeet Kasurde
no flags Details
required indicator is missing (45.72 KB, image/png)
2016-09-15 02:00 EDT, Varun Mylaraiah
no flags Details

  None (edit)
Description Abhijeet Kasurde 2015-12-08 04:42:47 EST
Created attachment 1103493 [details]
ipa-pwpolicy-screenshot.png

Description of problem:
If you navigate to Global Password Policy detail tab, you will see priority field does not have text field which is required and editable by admin.

http://<ipa-server-name>/ipa/ui/#/e/pwpolicy/details/global_policy

Version-Release number of selected component (if applicable):
ipa-server-4.2.0-15.el7_2.3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Navigate to http://<ipa-server-name>/ipa/ui/#/e/pwpolicy/details/global_policy
2. Look for "Priority" field in details

Actual results:
Priority field is missing.

Expected results:
Priority field is required and needs a text field to edit.
Comment 1 Abhijeet Kasurde 2015-12-08 05:04:33 EST
Additionally, if you create group under Password Policy tab, Priority field is without required field.

See screenshot - required.png
Comment 2 Abhijeet Kasurde 2015-12-08 05:04 EST
Created attachment 1103497 [details]
required.png
Comment 3 Petr Vobornik 2015-12-08 08:17:16 EST
This is correct. Priority for global policy is not writable.

What doesn't seem correct is that:

$ ipa pwpolicy-mod global_policy --priority=7
ipa: ERROR: global_policy: entry not found

Returns entry not found. When update of other attributes works.

$ ipa pwpolicy-mod global_policy --maxlife=100
  Group: global_policy
  Max lifetime (days): 100
  Min lifetime (hours): 1
  History size: 0
  Character classes: 0
  Min length: 8
  Max failures: 6
  Failure reset interval: 60
  Lockout duration: 600

By "Priority field is without required field." you mean that it is required but doesn't have required indicator "*". If so then yes, this could be improved.
Comment 4 Abhijeet Kasurde 2015-12-08 08:57:20 EST
Yes, I mean to say is - Currently Priority field doesn't have required indicator asterisk or "*".
Comment 5 Petr Vobornik 2015-12-15 07:15:11 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5553
Comment 7 Mike McCune 2016-03-28 19:23:30 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 9 Varun Mylaraiah 2016-09-15 02:00 EDT
Created attachment 1201149 [details]
required indicator is missing

Verified
on ipa-server-4.4.0-10.el7.x86_64
Still required indicator "*" or asterisk is missing
Comment 12 Petr Vobornik 2017-04-06 13:07:10 EDT
Upstream ticket:
https://pagure.io/freeipa/issue/6849
Comment 14 Petr Vobornik 2017-10-22 17:32:52 EDT
Fixed in FreeIPA 4.6:

master:
    d5ef1a7 WebUI: fix showing required asterisk '*'

Note You need to log in before you can comment on or make changes to this bug.